For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all purchase orders
        • GETGet purchase order by ID
        • GETGet all purchase order items for a specific purchase order
        • POSTCreate Purchase Order: Yardi REST
        • PUTUpdate Purchase Order: Yardi REST
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi RESTPurchase Orders

Get all purchase order items for a specific purchase order

GET
/v1/purchase-orders/:purchase_order_id/items
GET
/v1/purchase-orders/:purchase_order_id/items
$curl https://api.propexo.com/v1/purchase-orders/purchase_order_id/items \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "cjld2cjxh0000qzrmn831i7rn",
18 "x_property_id": "cjld2cyuq0000t3rmniod1foy",
19 "x_location_id": null,
20 "description": "Framing materials",
21 "stock_code": "STK-001",
22 "quantity_ordered": "10",
23 "unit_price_in_cents": 5000,
24 "total_cost_in_cents": 50000,
25 "cost_code": "01-100",
26 "category_code": "LABOR",
27 "purchase_order_id": "cjld2cjxh0000qzrmn831i7rn",
28 "construction_job_id": "cjld2cjxh0000qzrmn831i7rn",
29 "financial_account_id": "cjld2cyuq0000t3rmniod1foy",
30 "custom_data": {},
31 "associated_invoice_ids": [
32 "string"
33 ],
34 "property_id": "clwi5xiix000008l6ctdgafyh",
35 "integration_id": "clwh5u07w000508me66sfh3um",
36 "integration_vendor": "YARDI_REST"
37 }
38 ]
39}
Get all purchase order items for a specific purchase order
Was this page helpful?
Previous

Create Purchase Order: Yardi REST

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

purchase_order_idstringRequired
The Propexo unique identifier for the purchase order

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error